Galadrel Hair For V4 And A4

Galadrel Hair For V4 And A4

Product Requirements: Poser 6 and up, or DS3 and up. This hair is for Victoria 4. You can use it with Aiko 4 too (optional) PC Compatible. Not tested in Mac.

Read more description:
http://www.renderosity.com/mod/bcs/index.php?ViewProduct=97268

Similar products

3 thoughts on “Galadrel Hair For V4 And A4

Leave a Reply